<?php
/**
* @version $Id: index.php 195 2005-09-20 10:05:51Z stingrey $
* @package Joomla
* @copyright Copyright (C) 2005 Open Source Matters. All rights reserved.
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
* Joomla! is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/
define( '_VALID_MOS', 1 );
if (file_exists( '../configuration.php' ) && filesize( '../configuration.php' ) > 10) {
	header( "Location: ../index.php" );
	exit();
}
require_once( '../includes/version.php' );

/** Include common.php */
include_once( "common.php" );

function get_php_setting($val) {
	$r =  (ini_get($val) == '1' ? 1 : 0);
	return $r ? 'ON' : 'OFF';
}

function writableCell( $folder ) {
	echo '<tr>';
	echo '<td class="item">' . $folder . '/</td>';
	echo '<td align="left">';
	echo is_writable( "../$folder" ) ? '<b><font color="green">Доступен на запись</font></b>' : '<b><font color="red">Недоступен на запись</font></b>' . '</td>';
	echo '</tr>';
}

echo "<?xml version=\"1.0\" encoding=\"windows-1251\"?".">";
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>Joomla! 1.0.12 Lavra Edition 2007 - мастер установки</title>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1251" />
<link rel="shortcut icon" href="../../images/favicon.ico" />
<link rel="stylesheet" href="install.css" type="text/css" />
</head>
<body>

<div id="wrapper">
<div id="header">
<div id="joomla"><img src="header_install.png" alt="Joomla Lavra! 12 - установка" /></div>
</div>
</div>

<div id="ctr" align="center">
<div class="install">
<div id="stepbar">
<div class="step-on">Начальная проверка</div>
<div class="step-off">Лицензия</div>
<div class="step-off">Шаг 1</div>
<div class="step-off">Шаг 2</div>
<div class="step-off">Шаг 3</div>
<div class="step-off">Шаг 4</div>
<div align="center">
<br/>
<img src="joomla_logo.jpg">
</div>
</div>

<div id="right">

<div id="step">Начальная проверка</div>

<div class="far-right">
	<input type="button" class="button" value="Снова проверить" onclick="window.location=window.location" />
  <input name="Button2" type="submit" class="button" value="Дальше >>" onclick="window.location='install.php';" />
</div>
<div class="clr"></div><br/>

<h1>Начальная проверка:<br/><?php echo $version; ?></h1>
<div class="install-text">
Если что-то из указанных опций выделено красным цветом
, то остановите установку и исправьте проблему.
Несоблюдение этих параметров может привести к некорректной работе Joomla.
<div class="ctr"></div>
</div>

<div class="install-form">
<div class="form-block">

<table class="content">
<tr>
	<td class="item">
	Версия PHP >= 4.1.0
	</td>
	<td align="left">
	<?php echo phpversion() < '4.1' ? '<b><font color="red">Нет</font></b>' : '<b><font color="green">Да</font></b>';?>
	</td>
</tr>
<tr>
	<td>
	&nbsp; - ZLIB сжатие
	</td>
	<td align="left">
	<?php echo extension_loaded('zlib') ? '<b><font color="green">Доступно</font></b>' : '<b><font color="red">Недоступно</font></b>';?>
	</td>
</tr>
<tr>
	<td>
	&nbsp; - XML поддержка
	</td>
	<td align="left">
	<?php echo extension_loaded('xml') ? '<b><font color="green">Доступно</font></b>' : '<b><font color="red">Недоступно</font></b>';?>
	</td>
</tr>
<tr>
	<td>
	&nbsp; - MySQL поддержка
	</td>
	<td align="left">
	<?php echo function_exists( 'mysql_connect' ) ? '<b><font color="green">Доступно</font></b>' : '<b><font color="red">Недоступно</font></b>';?>
	</td>
</tr>
<tr>
	<td valign="top" class="item">
	configuration.php
	</td>
	<td align="left">
	<?php
	if (@file_exists('../configuration.php') &&  @is_writable( '../configuration.php' )){
		echo '<b><font color="green">Доступен на запись</font></b>';
	} else if (is_writable( '..' )) {
		echo '<b><font color="green">Доступен на запись</font></b>';
	} else {
		echo '<b><font color="red">Недоступен на запись</font></b><br /><span class="small">Вы конечно можете продолжить установку и файл конфигурации бкдет сгенерирован в конце, вам останется только скопировать его текст и вставить через буфер, после чего поместить этот файл на сервер.</span>';
	} ?>
	</td>
</tr>
<tr>
	<td class="item">
	Session save path
	</td>
	<td align="left">
	<b><?php echo (($sp=ini_get('session.save_path'))?$sp:'Not set'); ?></b>,
	<?php echo is_writable( $sp ) ? '<b><font color="green">Доступен на запись</font></b>' : '<b><font color="red">Недоступен на запись</font></b>';?>
	</td>
</tr>
</table>
</div>
</div>
<div class="clr"></div>

<h1>Рекомендуемые установки:</h1>
<div class="install-text">
Эти установки PHP рекомендованы для обеспечения полной функциональности Joomla!.
Конечно Joomla! будет работать и при их несовпадении, но для корректной работы мы рекомендуем именно эти настройки.
<div class="ctr"></div>
</div>

<div class="install-form">
<div class="form-block">

<table class="content">
<tr>
	<td class="toggle">
	Директива
	</td>
	<td class="toggle">
	Рекомендуется
	</td>
	<td class="toggle">
	Имеется
	</td>
</tr><?php
$php_recommended_settings = array(array ('Safe Mode','safe_mode','OFF'),
array ('Display Errors','display_errors','ON'),
array ('File Uploads','file_uploads','ON'),
array ('Magic Quotes GPC','magic_quotes_gpc','ON'),
array ('Magic Quotes Runtime','magic_quotes_runtime','OFF'),
array ('Register Globals','register_globals','OFF'),
array ('Output Buffering','output_buffering','OFF'),
array ('Session auto start','session.auto_start','OFF'),
);

foreach ($php_recommended_settings as $phprec) {
?>
<tr>
	<td class="item"><?php echo $phprec[0]; ?>:</td>
	<td class="toggle"><?php echo $phprec[2]; ?>:</td>
	<td>
	<?php
	if ( get_php_setting($phprec[1]) == $phprec[2] ) {
	?>
		<font color="green"><b>
	<?php
	} else {
	?>
		<font color="red"><b>
	<?php
	}
	echo get_php_setting($phprec[1]);
	?>
	</b></font>
	<td>
</tr><?php
}
?>
</table>
</div>
</div>
<div class="clr"></div>

<h1>Папки и права доступа:</h1>
<div class="install-text">
Для корректной установки требуется назначение прав доступа к перечисленным папкам.
Если вы видите "Недоступен на запись" , вам надо сменить права доступа на эти папки, чтобы у Joomla
был доступ на запись.
<div class="clr">&nbsp;&nbsp;</div>
<div class="ctr"></div>
</div>

<div class="install-form">
<div class="form-block">

<table class="content"><?php
writableCell( 'administrator/backups' );
writableCell( 'administrator/components' );
writableCell( 'administrator/modules' );
writableCell( 'administrator/templates' );
writableCell( 'cache' );
writableCell( 'components' );
writableCell( 'images' );
writableCell( 'images/banners' );
writableCell( 'images/stories' );
writableCell( 'language' );
writableCell( 'mambots' );
writableCell( 'mambots/content' );
writableCell( 'mambots/editors' );
writableCell( 'mambots/editors-xtd' );
writableCell( 'mambots/search' );
writableCell( 'mambots/system' );
writableCell( 'media' );
writableCell( 'modules' );
writableCell( 'templates' );
?>
</table>
</div>
<div class="clr"></div>
</div>
<div class="clr"></div>
</div>
<div class="clr"></div>
</div>
</div>

<div class="ctr">
	<a href="http://andyr.mrezha.ru" target="_blank">Joomla! 1.0.12 Lavra Edition 2007</a> - русская сборка от AndyR<br>
</div>

</body>
</html>